Skip to content

Dumps

All operations require authentication.

4 operationsv1/hosting/privateDatabase
Agent setup

List all dumpsProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/dump

Returns the IDs of the dumps of all databases of the service, including orphan dumps whose database no longer exists.

Path parameters

serviceName
required
string

Service name

Query parameters

databaseName
string

Filter the value of databaseName property (like)

orphan
boolean

Filter the value of orphan property (=)

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/dump \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a dumpProduction

GET
/1.0/hosting/privateDatabase/{serviceName}/dump/{dumpId}

Returns the database name, creation date, automatic deletion date and download URL of the dump, and whether it is orphan.

Path parameters

dumpId
required
integer

Dump ID

serviceName
required
string

Service name

Response

200Dumpsuccessful operation
creationDate
read-only
stringdate-time

Creation date of the dump

databaseName
read-only
string

Dump of this database name

deletionDate
read-only
stringdate-time

Automatic deletion date of the dump

dumpId
read-only
integer

Dump id

orphan
read-only
boolean

Dump orphan flag (true if database does not exists)

url
read-only
string

Dump URL access

Example uses dumpId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/dump/{dumpId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "databaseName": "string", "deletionDate": "2024-01-01T12:00:00Z", "dumpId": 0, "orphan": true, "url": "string"}

Delete a dumpProduction

DELETE
/1.0/hosting/privateDatabase/{serviceName}/dump/{dumpId}

Deletes the dump before its automatic deletion date. Returns a task to follow the deletion.

Path parameters

dumpId
required
integer

Dump ID

serviceName
required
string

Service name

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses dumpId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/dump/{dumpId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}

Restore a dump into a databaseProduction

POST
/1.0/hosting/privateDatabase/{serviceName}/dump/{dumpId}/restore

Restores the dump into the given database, which can differ from the database it was taken from. By default, the database is flushed before the restore.

Path parameters

dumpId
required
integer

Dump ID

serviceName
required
string

Service name

Request body (required)

databaseName
string

Database name

flushDatabase
boolean

Whether to flush the database before restoring the dump (default to true)

Response

200Tasksuccessful operation
databaseName
read-only
string

Database name on which the task is working

doneDate
read-only
stringdate-time

Completion date

dumpId
read-only
integer

DumpId on which the task is working

function
read-only
FunctionEnum

Function name

ValuesabusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/update
id
read-only
integer

The id of the task

lastUpdate
read-only
stringdate-time

Last update

startDate
read-only
stringdate-time

Task creation date

status
read-only
StatusEnum

Task status

Valuescancelleddoingdoneerrortodo
userName
read-only
string

User name on which the task is working

Example uses dumpId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/privateDatabase/{serviceName}/dump/{dumpId}/restore \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}